# Frequently Asked Questions

If you have a question you'd like to add to this page, please let us know over on the Discord server!

You should also read the [How Does It Work?](/v3/getting-started/explanation.md) page for a more generalised overview of the most important facts.

<details>

<summary>Routing/Navigation</summary>

Routing is currently out-of-scope for 'flutter\_map'. However, if you can get a list of coordinates from a 3rd party, then you can use the [Polyline Layer](/v3/usage/layers/polyline-layer.md) to show it!

A good open source option is [OSRM](http://project-osrm.org/), but if you want higher reliability and more functionality such as real-time based routing, you may want to try a commercial solution such as Mapbox or Google Maps.

</details>

<details>

<summary>Custom Tile Styles</summary>

Unfortunately, this library cannot provide this functionality.

Raster tiles are pre-rendered by the tile server, and cannot be changed on the fly. Filters can be applied, such as an emulated dark mode, but these effects do not look great. This is a limitation of the technology, not this library.

However, tilesets can be styled. This is the most effective way of using custom styles. These methods may help you with this:&#x20;

* You may wish to use a commercial service like Mapbox Studio, which allows you to style multiple tilesets. See [Using Mapbox](/v3/tile-servers/using-mapbox.md).
* Alternatively, you can experiment with vector tiles. These are not pre-rendered, and so allow any style you desire to be applied on the fly. See [Raster vs Vector Tiles](/v3/getting-started/explanation/raster-vs-vector-tiles.md#vector-tiles).
* Your last option is to serve tiles yourself. See [Other Options](/v3/tile-servers/other-options.md).

</details>

<details>

<summary>Animated <code>MapController</code></summary>

It's possible to animate the movements made by a `MapController`, although this isn't implemented in this library.

For an example of how to do this, please see the [example app's Animated Map Controller page](https://github.com/fleaflet/flutter_map/blob/master/example/lib/pages/animated_map_controller.dart).

</details>

{% hint style="success" %}
We're adding questions here as we get them!
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fleaflet.dev/v3/faqs/frequently-asked-questions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
